searchRecorder.cc File Reference

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Macros | Functions | Variables
searchRecorder.cc File Reference
`#include "osl/search/searchRecorder.h"`
`#include "osl/search/realizationProbability.h"`
`#include "osl/eval/evalTraits.h"`
`#include "osl/state/simpleState.h"`
`#include "osl/moveLogProb.h"`
`#include "osl/record/csa.h"`
`#include <fstream>`
`#include <iostream>`
`#include <cassert>`
`#include <unistd.h>`
Include dependency graph for searchRecorder.cc:

Go to the source code of this file.

## Classes
struct | osl::search::SearchRecorder::Recorder

## Macros
#define | SELECT_CHECKMATE_LOG
| 以下を define しないと 詰将棋の結果を全て記録する More...

## Functions
static const char * | lowerChar (osl::Player p)
static const char * | higherChar (osl::Player p)

## Variables
const char * | checkmateFileName = "currentCheck.csa"
static bool | showAllValues = false

## Macro Definition Documentation

#define SELECT_CHECKMATE_LOG

以下を define しないと 詰将棋の結果を全て記録する

Definition at line 21 of file searchRecorder.cc.

## Function Documentation

static const char* higherChar | ( | osl::Player | p) |  |
| static

Definition at line 195 of file searchRecorder.cc.

References osl::BLACK.

Referenced by osl::search::SearchRecorder::tableHitUpperBound(), and osl::search::SearchRecorder::tableStoreUpperBound().

static const char* lowerChar | ( | osl::Player | p) |  |
| static

Definition at line 191 of file searchRecorder.cc.

References osl::BLACK.

Referenced by osl::search::SearchRecorder::tableHitLowerBound(), and osl::search::SearchRecorder::tableStoreLowerBound().

## Variable Documentation

const char* checkmateFileName = "currentCheck.csa"

Definition at line 17 of file searchRecorder.cc.

Referenced by osl::search::SearchRecorder::backFromCheckmateSearch(), and osl::search::SearchRecorder::gotoCheckmateSearch().

bool showAllValues = false
| static

Definition at line 82 of file searchRecorder.cc.

Referenced by osl::search::SearchRecorder::recordValue().